import { html as v } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (p, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, l) : r, s = p.length - 1, i; s >= 0; s--)
    (i = p[s]) && (e = (t ? i(r, l, e) : i(e)) || e);
  return t && e && f(r, l, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--over21FilledLarge", this.class = "c-pieIcon c-pieIcon--over21FilledLarge", this.name = "IconOver21FilledLarge";
  }
  render() {
    return v`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--over21FilledLarge"><path d="M24.75 4.625H7.25A2.625 2.625 0 0 0 4.625 7.25v17.5a2.625 2.625 0 0 0 2.625 2.625h17.5a2.625 2.625 0 0 0 2.625-2.625V7.25a2.625 2.625 0 0 0-2.625-2.625M13.235 19.894H7.25v-1.146c0-1.602.928-2.276 2.258-2.984s1.75-1.015 1.75-1.75-.508-.954-1.234-.954a2.26 2.26 0 0 0-1.75.787l-.963-1.18a3.68 3.68 0 0 1 2.844-1.19c1.75 0 2.853.944 2.853 2.484 0 1.374-.875 2.214-2.302 2.905-1.286.648-1.75 1.006-1.75 1.444v.088H13.2zm4.708 0H16.28v-6.291l-1.365.507-.56-1.409 2.389-1.076h1.198zm6.807-3.019H23v1.75h-1.75v-1.75H19.5v-1.75h1.75v-1.75H23v1.75h1.75z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-over21-filled-large")
], o);
export {
  o as IconOver21FilledLarge
};
